Panda3D

Loading...
Searching...
No Matches
Functions | Variables
config_movies.cxx File Reference

PANDA 3D SOFTWARE Copyright (c) Carnegie Mellon University. More...

`#include "config_movies.h"`
`#include "dconfig.h"`
`#include "flacAudio.h"`
`#include "flacAudioCursor.h"`
`#include "inkblotVideo.h"`
`#include "inkblotVideoCursor.h"`
`#include "microphoneAudio.h"`
`#include "movieAudio.h"`
`#include "movieAudioCursor.h"`
`#include "movieTypeRegistry.h"`
`#include "movieVideo.h"`
`#include "movieVideoCursor.h"`
`#include "opusAudio.h"`
`#include "opusAudioCursor.h"`
`#include "userDataAudio.h"`
`#include "userDataAudioCursor.h"`
`#include "vorbisAudio.h"`
`#include "vorbisAudioCursor.h"`
`#include "wavAudio.h"`
`#include "wavAudioCursor.h"`

Go to the source code of this file.

## Functions
| ConfigureDef (config_movies)
| ConfigureFn (config_movies)
void | init_libmovies ()
| Initializes the library.
| NotifyCategoryDef (movies, "")

## Variables
ConfigVariableList | load_audio_type ("load-audio-type", PRC_DESC("List the audio loader modules that Panda will automatically " "import when a new, unknown audio type is loaded. This may be " "either the name of a module, or a space-separate list of filename " "extensions, followed by the name of the module."))
ConfigVariableList | load_video_type ("load-video-type", PRC_DESC("List the video loader modules that Panda will automatically " "import when a new, unknown video type is loaded. This may be " "either the name of a module, or a space-separate list of filename " "extensions, followed by the name of the module."))
ConfigVariableBool | opus_enable_seek ("opus-enable-seek", true, PRC_DESC("Set this to false if you're having trouble with seeking while " "using the Opus decoder."))
ConfigVariableBool | vorbis_enable_seek ("vorbis-enable-seek", true, PRC_DESC("Set this to false if you're having trouble with seeking while " "using the Ogg Vorbis decoder."))
ConfigVariableBool | vorbis_seek_lap ("vorbis-seek-lap", false, PRC_DESC("If this is set to true, the Ogg Vorbis decoder will automatically " "crosslap the transition from the previous playback position into " "the new playback position when seeking in order to eliminate " "clicking and boundary discontinuities."))

## Detailed Description

PANDA 3D SOFTWARE Copyright (c) Carnegie Mellon University.

All rights reserved.

All use of this software is subject to the terms of the revised BSD license. You should have received a copy of this license along with this source code in a file named "LICENSE."

Author
  jyelon

Date
  2007-07-02

Definition in file config_movies.cxx.

## Function Documentation

## ◆ ConfigureFn()

ConfigureFn | ( | config_movies |  | ) |

Definition at line 42 of file config_movies.cxx.

## ◆ init_libmovies()

void init_libmovies | ( |  | ) |

Initializes the library.

This must be called at least once before any of the functions or classes in this library can be used. Normally it will be called by the static initializers and need not be called explicitly, but special cases exist.

Definition at line 84 of file config_movies.cxx.

References MovieTypeRegistry::get_global_ptr(), and MovieTypeRegistry::register_audio_type().